## eobuilder 36

=== Makefile ===


all: install

install:
	apt install pbuilder devscripts debhelper cowbuilder git dput fakeroot sudo python3-setuptools
	if ! getent passwd eobuilder > /dev/null 2>&1; then useradd eobuilder --home-dir /var/lib/eobuilder --create-home; fi
	python3 setup.py install
	su eobuilder -p  -c "cp pbuilderrc /var/lib/eobuilder/.pbuilderrc"
	su eobuilder -p  -c "cp dput.cf /var/lib/eobuilder/.dput.cf"
	su eobuilder -p  -c "cp gitconfig /var/lib/eobuilder/.gitconfig"
	cp eobuilder.sh /usr/local/bin/eobuilder
	cp eobuilder.cron /etc/cron.daily/eobuilder

uninstall:
	deluser --remove-home eobuilder || true
	rm /usr/local/bin/eobuilder
	rm /etc/cron.daily/eobuilder

chroots:
	for DIST in bullseye bookworm trixie; do \
		for ARCH in amd64; do \
			mkdir -p /var/cache/pbuilder/$$DIST-$$ARCH/base.cow; \
			DIST=$$DIST ARCH=$$ARCH cowbuilder --create --configfile ./pbuilderrc --keyring ./entrouvert.gpg; \
		done; \
	done

chroots-update:
	for DIST in bullseye bookworm trixie; do \
		for ARCH in amd64; do \
			mkdir -p /var/cache/pbuilder/$$DIST-$$ARCH/base.cow; \
			DIST=$$DIST ARCH=$$ARCH cowbuilder --update --configfile ./pbuilderrc --keyring ./entrouvert.gpg; \
		done; \
	done

## eobuilder 33.post11+g38d5354

=== debian/changelog ===
eobuilder (33.post11+g38d5354-1~eob120+1) bookworm-eobuilder; urgency=low

  * (38d535) add trixie support (#108982)
  * (c3f393) misc: update Makefile and pbuilderrc for recent debian installations
    (#106055)
  * (122157) misc: let pre-commit apply changes (#101218)
  * (04d8f9) ci: update black version (#101218)
  * (b8324e) ci: change black to target python 3.11 (#101218)
  * (5a274e) tox: use check-manifest (#92517)
  * (538c79) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (5229f8) ci: stop building for bullseye (#93027)
  * (a0de07) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (04e126) misc: apply double-quote-string-fixer (#79788)
  * (ec5581) misc: add pre commit hook to force single quotes (#79788)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 11 Aug 2025 08:35:32 +0200

eobuilder (33) bookworm-eobuilder; urgency=low

  * (9e0a88) misc: remove deb repository handling (#80288)
  * (a7aa93) ci: build deb package for bookworm (#78968)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 05 Aug 2023 12:19:27 +0200

eobuilder (32) bookworm-eobuilder; urgency=low

  * (1869e1) misc: remove i386 references (#78330)
  * (fa3d05) add bookworm support (and remove buster) (#78329)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 12 Jun 2023 12:34:08 +0200

eobuilder (31) bookworm-eobuilder; urgency=low

  * (e9f992) change launcher script to get configuration from /etc/ (#74863)
  * (29856d) Prepare Jenkinsfile for Gitea migration (#74572)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 02 Mar 2023 10:08:20 +0100

eobuilder (30) bookworm-eobuilder; urgency=low

  * (c6b8c7) ci: only build package for bullseye (#72729)
  * (192f5c) misc: defaults to bullseye (#72729)
  * (680bf0) trivial: bump black version to 22.3.0
  * (e0a191) trivial: bump black version to 22.1.0 (#62312)
  * (b2de21) settings: close local settings file (#61980)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 22 Dec 2022 17:21:26 +0100

eobuilder (29) bookworm-eobuilder; urgency=low

  * (4f93ac) changelog: skip failing lines (#60475)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 10 Jan 2022 20:06:10 +0100

eobuilder (28) bookworm-eobuilder; urgency=low

  * (d4debe) generate Packages.gz event if --no-dput is given (#59604)
  * (26d0ce) debian: use debhelper compat level 12
  * (fee146) jenkins: build packages for buster & bullseye
  * (2279cd) build: bump black version

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 12 Dec 2021 16:02:36 +0100

eobuilder (27) bookworm-eobuilder; urgency=low

  * (ca7fb9) remove stretch from default repositories/targets
  * (a441c3) shift versions as bullseye has now been released (#51564)
  * (b49cb7) reduce supported versions to current debian versions (#51564)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 15 Aug 2021 14:59:33 +0200

eobuilder (26) bookworm-eobuilder; urgency=low

  * (1ea1c6) misc: change target default to buster only (#51544)
  * (70398e) misc: add black files/notes
  * (d37357) trivial: apply black
  * (f3ad73) pbuilder: add stable entr'ouvert apt repository (#49869)
  * (953348) build: update to use origin/main

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 01 Mar 2021 16:39:16 +0100

eobuilder (25) bookworm-eobuilder; urgency=low

  * (5e0e71) misc: add a --no-send option (#15541)
  * (f1028b) run git fetch before switching branch (#46196)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 29 Oct 2020 17:51:59 +0100

eobuilder (24) bookworm-eobuilder; urgency=low

  * (f2d6c8) fix branch switching to use value from options (#45062)
  * (14ef68) misc: fix cloning a project from a subdirectory (#45046)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 13 Jul 2020 09:53:21 +0200

eobuilder (23) bookworm-eobuilder; urgency=low

  * (d5636c) misc: make urljoin works with git+ssh:// URLs (#44790)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 03 Jul 2020 12:53:54 +0200

eobuilder (22) bookworm-eobuilder; urgency=low

  * (cfe87c) misc: add a random number to build directory (#44527)
  * (670453) respect branch if specified on command line (#44491)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 27 Jun 2020 17:41:21 +0200

eobuilder (21) bookworm-eobuilder; urgency=low

  * (f7fc82) use different names when looking for default branch (#44113)
  * (e32696) debian: add dependency on devscripts (required for dch) (#44241)
  * (812a4f) make wrapper script set HOME to eobuilder user (#44242)
  * (5fa65a) make pbuilder result directory a package repository (#44243)
  * (bea756) treat argument as a project reference, allowed to be a URI (#44111)
  * (d87b09) fix typo in variable name

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 21 Jun 2020 09:17:48 +0200

eobuilder (20) bookworm-eobuilder; urgency=low

  * (de529a) run setup.py with python3 in more conditions (#43601)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 03 Jun 2020 20:33:15 +0200

eobuilder (19) bookworm-eobuilder; urgency=low

  * (fbbeb6) add check for hotfix branch names (#43310)
  * (e00aab) Jenkinsfile: use default distribution target (#41301)
  * (c0d99a) handle None in output
  * (30e714) eobuildall: run with python3

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 01 Jun 2020 08:40:13 +0200

eobuilder (18) bookworm-eobuilder; urgency=low

  * (cf58f9) debian: bump debhelper level to 10
  * (8a977c) debian: update for python 3

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 24 Apr 2020 08:49:36 +0200

eobuilder (17) bookworm-eobuilder; urgency=low

  * (db3577) general: update for python 3 (#41852)
  * (d649f3) misc: update defaults to build on stretch & buster (#41301)
  * (e15376) changelog: update version number generation to actual usage (#41851)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 24 Apr 2020 08:34:07 +0200

eobuilder (16) bookworm-eobuilder; urgency=low

  * (39d311) remove epoch in version for dput command (#41007)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 02 Apr 2020 18:21:46 +0200

eobuilder (15) bookworm-eobuilder; urgency=low



=== debian/control ===
Source: eobuilder
Maintainer: Frederic Peters <fpeters@entrouvert.com>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper-compat (= 12), dh-exec
Standards-Version: 3.9.6
Homepage: https://dev.entrouvert.org/projects/eobuilder

Package: eobuilder
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, pbuilder, cowbuilder, devscripts
Description: Entr'ouvert Package Builder

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eobuilder
%:
	dh $@ --with python3 --buildsystem=pybuild

## eobuilder 33.post15+g4363651

=== debian/changelog ===
eobuilder (33.post15+g4363651-1~eob120+1) bookworm-eobuilder; urgency=low

  * (436365) debian: restore order and permission bit of debian/install (#108988)
  * (129c32) packaging: remove execute permission to debian/install (#108986)
  * (56a506) trivial: apply new pre-commit (#108983)
  * (9bdc13) ci: add pyupgrade/isort/pre-commit-debian (#108983)
  * (38d535) add trixie support (#108982)
  * (c3f393) misc: update Makefile and pbuilderrc for recent debian installations
    (#106055)
  * (122157) misc: let pre-commit apply changes (#101218)
  * (04d8f9) ci: update black version (#101218)
  * (b8324e) ci: change black to target python 3.11 (#101218)
  * (5a274e) tox: use check-manifest (#92517)
  * (538c79) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (5229f8) ci: stop building for bullseye (#93027)
  * (a0de07) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (04e126) misc: apply double-quote-string-fixer (#79788)
  * (ec5581) misc: add pre commit hook to force single quotes (#79788)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 11 Aug 2025 10:17:23 +0200

## eobuilder 34

=== debian/changelog ===
eobuilder (34-1~eob120+1) bookworm-eobuilder; urgency=low

  * (436365) debian: restore order and permission bit of debian/install (#108988)
  * (129c32) packaging: remove execute permission to debian/install (#108986)
  * (56a506) trivial: apply new pre-commit (#108983)
  * (9bdc13) ci: add pyupgrade/isort/pre-commit-debian (#108983)
  * (38d535) add trixie support (#108982)
  * (c3f393) misc: update Makefile and pbuilderrc for recent debian installations
    (#106055)
  * (122157) misc: let pre-commit apply changes (#101218)
  * (04d8f9) ci: update black version (#101218)
  * (b8324e) ci: change black to target python 3.11 (#101218)
  * (5a274e) tox: use check-manifest (#92517)
  * (538c79) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (5229f8) ci: stop building for bullseye (#93027)
  * (a0de07) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (04e126) misc: apply double-quote-string-fixer (#79788)
  * (ec5581) misc: add pre commit hook to force single quotes (#79788)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 11 Aug 2025 10:17:23 +0200

=== debian/control ===
Source: eobuilder
Maintainer: Frederic Peters <fpeters@entrouvert.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.6
Homepage: https://dev.entrouvert.org/projects/eobuilder

Package: eobuilder
Architecture: all
Depends: cowbuilder,
         devscripts,
         pbuilder,
         ${misc:Depends},
         ${python3:Depends},
Description: Entr'ouvert Package Builder

## eobuilder 34.post2+g154d1ef

=== debian/changelog ===
eobuilder (34.post2+g154d1ef-1~eob120+1) bookworm-eobuilder; urgency=low

  * (154d1e) allow building any reference (#10418)
  * (22d34e) simplify setup_git_tree (#10418)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 14 Oct 2025 15:16:24 +0200

eobuilder (34) bookworm-eobuilder; urgency=low

  * (436365) debian: restore order and permission bit of debian/install (#108988)
  * (129c32) packaging: remove execute permission to debian/install (#108986)
  * (56a506) trivial: apply new pre-commit (#108983)
  * (9bdc13) ci: add pyupgrade/isort/pre-commit-debian (#108983)
  * (38d535) add trixie support (#108982)
  * (c3f393) misc: update Makefile and pbuilderrc for recent debian installations
    (#106055)
  * (122157) misc: let pre-commit apply changes (#101218)
  * (04d8f9) ci: update black version (#101218)
  * (b8324e) ci: change black to target python 3.11 (#101218)
  * (5a274e) tox: use check-manifest (#92517)
  * (538c79) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (5229f8) ci: stop building for bullseye (#93027)
  * (a0de07) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (04e126) misc: apply double-quote-string-fixer (#79788)
  * (ec5581) misc: add pre commit hook to force single quotes (#79788)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 11 Aug 2025 10:17:23 +0200

## eobuilder 35.post1+g96f4ebf

=== debian/changelog ===
eobuilder (35.post1+g96f4ebf-1~eob120+1) bookworm-eobuilder; urgency=low

  * (96f4eb) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:18:45 +0200

eobuilder (35) bookworm-eobuilder; urgency=low

  * (154d1e) allow building any reference (#10418)
  * (22d34e) simplify setup_git_tree (#10418)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 14 Oct 2025 15:16:24 +0200

## eobuilder 36

=== debian/changelog ===
eobuilder (36-1~eob130+1) trixie-eobuilder; urgency=low

  * (96f4eb) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:18:45 +0200

eobuilder (35) trixie-eobuilder; urgency=low

  * (154d1e) allow building any reference (#10418)
  * (22d34e) simplify setup_git_tree (#10418)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 14 Oct 2025 15:16:24 +0200

eobuilder (34) trixie-eobuilder; urgency=low

  * (436365) debian: restore order and permission bit of debian/install (#108988)
  * (129c32) packaging: remove execute permission to debian/install (#108986)
  * (56a506) trivial: apply new pre-commit (#108983)
  * (9bdc13) ci: add pyupgrade/isort/pre-commit-debian (#108983)
  * (38d535) add trixie support (#108982)
  * (c3f393) misc: update Makefile and pbuilderrc for recent debian installations
    (#106055)
  * (122157) misc: let pre-commit apply changes (#101218)
  * (04d8f9) ci: update black version (#101218)
  * (b8324e) ci: change black to target python 3.11 (#101218)
  * (5a274e) tox: use check-manifest (#92517)
  * (538c79) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (5229f8) ci: stop building for bullseye (#93027)
  * (a0de07) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (04e126) misc: apply double-quote-string-fixer (#79788)
  * (ec5581) misc: add pre commit hook to force single quotes (#79788)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 11 Aug 2025 10:17:23 +0200

eobuilder (33) trixie-eobuilder; urgency=low

  * (9e0a88) misc: remove deb repository handling (#80288)
  * (a7aa93) ci: build deb package for bookworm (#78968)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 05 Aug 2023 12:19:27 +0200

eobuilder (32) trixie-eobuilder; urgency=low

  * (1869e1) misc: remove i386 references (#78330)
  * (fa3d05) add bookworm support (and remove buster) (#78329)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 12 Jun 2023 12:34:08 +0200

eobuilder (31) trixie-eobuilder; urgency=low

  * (e9f992) change launcher script to get configuration from /etc/ (#74863)
  * (29856d) Prepare Jenkinsfile for Gitea migration (#74572)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 02 Mar 2023 10:08:20 +0100

eobuilder (30) trixie-eobuilder; urgency=low

  * (c6b8c7) ci: only build package for bullseye (#72729)
  * (192f5c) misc: defaults to bullseye (#72729)
  * (680bf0) trivial: bump black version to 22.3.0
  * (e0a191) trivial: bump black version to 22.1.0 (#62312)
  * (b2de21) settings: close local settings file (#61980)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 22 Dec 2022 17:21:26 +0100

eobuilder (29) trixie-eobuilder; urgency=low

  * (4f93ac) changelog: skip failing lines (#60475)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 10 Jan 2022 20:06:10 +0100

eobuilder (28) trixie-eobuilder; urgency=low

  * (d4debe) generate Packages.gz event if --no-dput is given (#59604)
  * (26d0ce) debian: use debhelper compat level 12
  * (fee146) jenkins: build packages for buster & bullseye
  * (2279cd) build: bump black version

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 12 Dec 2021 16:02:36 +0100

eobuilder (27) trixie-eobuilder; urgency=low

  * (ca7fb9) remove stretch from default repositories/targets
  * (a441c3) shift versions as bullseye has now been released (#51564)
  * (b49cb7) reduce supported versions to current debian versions (#51564)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 15 Aug 2021 14:59:33 +0200

eobuilder (26) trixie-eobuilder; urgency=low

  * (1ea1c6) misc: change target default to buster only (#51544)
  * (70398e) misc: add black files/notes
  * (d37357) trivial: apply black
  * (f3ad73) pbuilder: add stable entr'ouvert apt repository (#49869)
  * (953348) build: update to use origin/main

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 01 Mar 2021 16:39:16 +0100

eobuilder (25) trixie-eobuilder; urgency=low

  * (5e0e71) misc: add a --no-send option (#15541)
  * (f1028b) run git fetch before switching branch (#46196)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 29 Oct 2020 17:51:59 +0100

eobuilder (24) trixie-eobuilder; urgency=low

  * (f2d6c8) fix branch switching to use value from options (#45062)
  * (14ef68) misc: fix cloning a project from a subdirectory (#45046)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 13 Jul 2020 09:53:21 +0200

eobuilder (23) trixie-eobuilder; urgency=low

  * (d5636c) misc: make urljoin works with git+ssh:// URLs (#44790)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 03 Jul 2020 12:53:54 +0200

eobuilder (22) trixie-eobuilder; urgency=low

  * (cfe87c) misc: add a random number to build directory (#44527)
  * (670453) respect branch if specified on command line (#44491)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 27 Jun 2020 17:41:21 +0200

eobuilder (21) trixie-eobuilder; urgency=low

  * (f7fc82) use different names when looking for default branch (#44113)
  * (e32696) debian: add dependency on devscripts (required for dch) (#44241)
  * (812a4f) make wrapper script set HOME to eobuilder user (#44242)
  * (5fa65a) make pbuilder result directory a package repository (#44243)
  * (bea756) treat argument as a project reference, allowed to be a URI (#44111)
  * (d87b09) fix typo in variable name

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 21 Jun 2020 09:17:48 +0200

eobuilder (20) trixie-eobuilder; urgency=low

  * (de529a) run setup.py with python3 in more conditions (#43601)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 03 Jun 2020 20:33:15 +0200

eobuilder (19) trixie-eobuilder; urgency=low

  * (fbbeb6) add check for hotfix branch names (#43310)
  * (e00aab) Jenkinsfile: use default distribution target (#41301)
  * (c0d99a) handle None in output
  * (30e714) eobuildall: run with python3

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 01 Jun 2020 08:40:13 +0200

eobuilder (18) trixie-eobuilder; urgency=low

  * (cf58f9) debian: bump debhelper level to 10
  * (8a977c) debian: update for python 3
